#!/usr/bin/env groovy
node {
    stage('Checkout') {
        checkout scm
        def pom = readMavenPom file: 'pom.xml'
        if (pom) {
            echo "Building version ${pom.version}"
        }
    }

    stage('Build') {
       withMaven(jdk: 'Java 17', maven: 'Maven 3.9.6') {
            sh "mvn compile"
       }
    }

    stage('Tests') {
        withMaven (jdk: 'Java 17', maven: 'Maven 3.9.6') {
            sh 'mvn compile'
        }
    }

    stage('Quality Check') {
        withSonarQubeEnv('SonarCLoud'){
        withMaven (jdk: 'Java 17', maven: 'Maven 3.9.6'){
           sh 'mvn verify org.sonarsource.scanner.maven:sonar-maven-plugin:sonar -Dsonar.projectKey=poecahontas-projet-fil-rouge-wijin_POEC_Wijin_Java_JEE_Projet'
        }}
        
    }
    archiveArtifacts artifacts: '**/target/*.*'
}